> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream Video



## OpenAPI

````yaml /openapi/document.yaml get /api/v1/videos/{document_id}/stream
openapi: 3.1.0
info:
  title: Document Service
  description: Centralised document management system.
  version: 1.0.0
servers:
  - url: https://api.diginacape.co.ke/documents
    description: Production
security: []
paths:
  /api/v1/videos/{document_id}/stream:
    get:
      tags:
        - Video
      summary: Stream Video
      operationId: stream_video_api_v1_videos__document_id__stream_get
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            description: Document ID of the video
            title: Document Id
          description: Document ID of the video
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoStreamResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    VideoStreamResponse:
      properties:
        manifest_url:
          type: string
          title: Manifest Url
        widevine_license_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Widevine License Url
        session_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Token
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
      type: object
      required:
        - manifest_url
      title: VideoStreamResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````